Description: R8 does currently provide support for the Hauppauge ir receiver. 

Would helpful for those using Hauppauge video cards.

History
05/22/2013 05:56 am - jams
What needs to be added?  I don't have the ability to test Hauppauge receivers.

05/22/2013 07:33 am - tscholl
Not being familiar how the remotes selection scripts work I'm not sure.  However since it's supported in 7.4. the required files should be available and 
identified whew you do the receiver selection there.

05/22/2013 07:37 am - tscholl
I can test. 

05/29/2013 02:52 pm - jams
- Assignee set to jams

- Status changed from New to In Progress

Hauppauge has been added back to the selection screen, the code for the receiver setup was already present.
If I'm not mistaken this will only work for older i2c Hauppague cards before the zilog driver was introduced

Please update and test.

05/29/2013 04:34 pm - jams
- Target version changed from 8.0 to 8.1

06/25/2013 12:04 pm - tscholl
The last set of updated included the new code for Hauppauge IR receiver.  I have tested it on my system with uses a Hauppauge USB PVR.

I've installed and tested, it works great! 

08/26/2013 03:32 pm - tscholl
I did find a problem with the system shutdown after configuring the Hauppauge IR receiver.  See this

http://forum.linhes.org/viewtopic.php?f=21&t=23787

Last 2 posts in that thread. 

12/12/2013 03:38 pm - brfransen
- Tracker changed from Support to Feature

12/18/2013 11:09 am - brfransen
- Target version changed from 8.1 to 8.2

03/13/2024 1/3



Pushing to 8.2 as he kernel update will have an impact .

04/17/2014 03:29 pm - brfransen
- Status changed from In Progress to Feedback

Is this still an issue?

04/17/2014 03:52 pm - tscholl
I guess it depends on how many people are still using Hauppauge PVR's and use the IR for there remote. 

Perhaps a poll would be appropriate.

I know I would would prefer to use that IR especially since Silicon Dust dropped the IR ability from the latest round or HD tuners.   

04/17/2014 04:02 pm - brfransen
What is your output from ls -l /dev/lirc*

R8.2 has a new kernel and revised boot/shutdown. Would you be able to test?

04/17/2014 04:06 pm - tscholl
In my current mode using a default IR config
[root@mythtv2 ~]# ls -l /dev/lirc*
crw------- 1 root root 250, 0 Mar 30 22:20 /dev/lirc0

Yes I would be able to test it.

04/18/2014 09:12 am - tscholl
I tried the Hauppauge IR receiver again in 8.1 

It works but still activates a second IR receiver as well, as I get double selections on each key.  ie: the up or down arrows move twice for each click.

When I select the Hauppauge IR receiver and the run ls -l /dev/lirc*  

ls -l /dev/lirc*   
crw------- 1 root root 250, 0 Apr 18 12:34 /dev/lirc0
crw------- 1 root root 250, 1 Apr 18 12:34 /dev/lirc1

I get two devices instead of one and and also starts two processes:

ps -ef | grep lirc* 
root      6986     2  0 12:34 ?        00:00:00 [lirc_dev]
root      7277   625  0 12:34 ?        00:00:00 /usr/sbin/lircd -r -n -d /dev/lirc0 --output /var/run/lirc/lircd --connect=localhost 8761
root      7368     1  0 12:34 ?        00:00:00 /usr/sbin/lircd -r -d /dev/lirc1 --output=/var/run/lirc/lircd1 --pidfile=/var/run/lircd1.pid --listen=8761

Once I set it back to default it only picks up the one.

[root@mythtv2 ~]# ls -l /dev/lirc*
crw------- 1 root root 250, 0 Apr 18 12:40 /dev/lirc0

And only the one process: 
[root@mythtv2 ~]# ps -ef | grep  lirc*
root      8362   625  0 12:40 ?        00:00:00 /usr/sbin/lircd -r -n -d /dev/lirc0 --output /var/run/lirc/lircd

10/20/2014 02:10 pm - brfransen
- Target version changed from 8.2 to 8.3

11/02/2014 02:33 pm - twbutler
I just wanted to comment.  I have a Hauppauge PVR250 card, with the grey remote.  I do not know about other Hauppauge remotes,  but I find that this 
remote works fine in R8.1.1 and in R8.2 (after upgrading from 8.1.1 -> 8.2).  When I say works fine, I refer to being able to press buttons on the remote 
to drive the MythTV application.  

However, the problem with having this remote configured is that *the system cannot be shutdown without having to perform a hard kill with the power 
switch*.  This pretty much renders MythWelcome useless.  A thread that mentions the shutdown problem is noted above: 
http://forum.linhes.org/viewtopic.php?f=21&t=23787.  However, there is another (better) thread about it here: 
http://forums.linhes.org/viewtopic.php?f=21&t=23884

I was hoping the new 8.2 kernel would help... but no beans... 

02/11/2015 10:04 am - brfransen
- Target version deleted (8.3)

04/25/2018 12:49 pm - brfransen
Is this still an issue in R8.5.x?
